Bug 211909 - Paravirt console doesn't get setup if creating a domain with pygrub
Paravirt console doesn't get setup if creating a domain with pygrub
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libvirt (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Depends On: 211928
  Show dependency treegraph
Reported: 2006-10-23 15:53 EDT by Daniel Berrange
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-03-09 11:48:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Pass along VNC settings, even when using bootloader (6.09 KB, patch)
2006-10-24 16:03 EDT, Daniel Berrange
no flags Details | Diff

  None (edit)
Description Daniel Berrange 2006-10-23 15:53:52 EDT
Description of problem:
If creating a domain using libvirt (eg, virsh create foo.xml), and the config
file is set to use pygrub for boot, the VNC paravirt console does not get
activated. If creating the same domain with an explicitly specified kernel &
initrd instead of pygrub, VNC works as expected

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Identify a domain 'somedomain' running with pygrub & VNC
2. Run 'virsh dumpxml somedomain > somedomain.xml'
3. Run 'virsh destroy somedomain'
4. Edit 'somdomain.xml' and remove the <os>...</os> block from the XML
5. Run  'virsh create somedomain.xml'  

Actual results:
No VNC console is setup

Expected results:
Paravirt VNC console is setup

Additional info:
The problem is actually partly in xend. The XenD sexpr for VNC has the '(vnc 1)'
within the '(image (linux ...))' SEXPR block. When using PyGrub though, there is
no '(image (liunux...))' block, so there is nowhere for libvirt to put the "(vnc
1)' bit required to activate the paravirt framebuffer.

XenD needs to be fixed to always check for a  (image (linux (vnc 1))) block,
even if using pygrub, and then libvirt can be fixed to  pass along VNC info all
the time.
Comment 1 Daniel Berrange 2006-10-24 16:03:57 EDT
Created attachment 139265 [details]
Pass along VNC settings, even when using bootloader

The attached patch makes libvirt pass in VNC settings in a (image) block, even
when using a bootloader. Needs a corresponding patch to XenD to work correctly.
Comment 2 RHEL Product and Program Management 2006-10-26 15:02:23 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
Comment 3 Jay Turner 2006-12-06 22:43:34 EST
QE ack for RHEL5.
Comment 6 Daniel Berrange 2007-03-09 11:48:57 EST
The new generation paravirt framebuffer patches included in recent RHEL-5 xen
packages completely changed the config file format. As such the problem
described in this bug no longer exists. 

Note You need to log in before you can comment on or make changes to this bug.